%define	name	libclaw
%define	version	1.5.2b
%define	release	%mkrel 1

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	C++ Library Absolutely Wonderful 
License:	GPL
Group:		System/Libraries
URL:		http://libclaw.sourceforge.net/
Source0:	%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	cmake jpeg-devel libpng-devel

%description
CLAW is a C++ Library Absolutely Wonderful providing useful classes 
from the simplest AVL binary search trees to the complex meta programming 
tools, including image manipulation, a generic alpha-beta algorithm, 
sockets implemented as std::stream and more.

%package devel
Summary: development package for libclaw
Group: Development/C
Requires: jpeg-devel libpng-devel
Requires: %{name} = %{version}

%description devel
This package provides the necessary development headers and libraries
to allow you to build programs that use libclaw.

%prep
%setup -q -n %{name}-%{version}
sed -ie 's/CLAW_INSTALLDIR_LIB lib/CLAW_INSTALLDIR_LIB %_lib/' CMakeLists.txt

%build
cmake -D CMAKE_INSTALL_PREFIX=%_prefix .
%make

%install
rm -rf  $RPM_BUILD_ROOT

%makeinstall_std

# install files

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %name -p /sbin/ldconfig
%postun -n %name -p /sbin/ldconfig

%files 
%defattr(-, root, root)
%doc COPYING
%{_libdir}/*.so

%files devel
%defattr(-, root, root)
%_includedir/claw
%_bindir/claw-config
%_datadir/cmake-2.5/Modules/FindCLAW.cmake


%changelog
* Mon Jan 14 2008 Olivier Blin <oblin@mandriva.com> 1.5.2b-1mdv2008.1
+ Revision: 151138
- 1.5.2b

* Tue Jan 08 2008 Olivier Blin <oblin@mandriva.com> 1.5.0b-2mdv2008.1
+ Revision: 146855
- require library in devel package
- merge cmake file in devel package (like pkgconfig files)

* Tue Jan 08 2008 Olivier Blin <oblin@mandriva.com> 1.5.0b-1mdv2008.1
+ Revision: 146644
- fix libdir for x86_64
- fix jpeg-devel requires
- fix ldconfig calls (there is no __ldconfig macro)
- drop hardcoded requires
- fix buildrequires

  + Anne Nicolas <anne.nicolas@mandriva.com>
    - add  buildrequire
    - clean requires
    - import libclaw


